################################################
init 999 python:
    config.developer = True #Shift+D #Didn't work with bathroom cheat! Do not enable it if you have this cheat
    config.console = False #Shift+O #Console is ok with bathroom cheat.

## Override default navigation menu to include "Progress" button
## This file is processed later than screens.rpy because it has zzz_ in name and overlapping content is rewrited by it.
screen navigation():

    vbox:
        style_prefix "navigation"

        xpos gui.navigation_xpos
        yalign 0.5

        spacing gui.navigation_spacing

        if main_menu:

            textbutton _("Start") action Start()

        else:

            textbutton _("History") action ShowMenu("history")

            textbutton _("Save") action ShowMenu("save")

        textbutton _("Load") action ShowMenu("load")

        textbutton _("Preferences") action ShowMenu("preferences")

        if main_menu:

            textbutton ("Progress") action ShowMenu("progress_main")

            if renpy.loadable("gallery.rpy"):
                textbutton _("Patreon") action OpenURL("https://www.patreon.com/paperwork")
                textbutton _("Gallery") action [Hide("main_menu"), ShowMenu("gallery1")]
                textbutton _("L7Bear Walkthrough") action OpenURL("https://docs.google.com/document/d/1OZXLg1ugeHmubFVRfsFmfMeJylXYWA-2IerVcyiwrYo/edit")


        if _in_replay:

            textbutton _("End Replay") action EndReplay(confirm=True)

        elif not main_menu:

            textbutton _("Main Menu") action MainMenu()

        textbutton _("About") action ShowMenu("about")

        if renpy.variant("pc"):

            ## Help isn't necessary or relevant to mobile devices.
            textbutton _("Help") action ShowMenu("help")

            ## The quit button is banned on iOS and unnecessary on Android.
            textbutton _("Quit") action Quit(confirm=not main_menu)


## Rewrite choice screen to add keyboard action to choice menu
## Only 1...9 number keys on main keyboard!
screen choice(items):
    style_prefix "choice"
    $ key_i = 0
    vbox:
        for i in items:
            $ key_i += 1
            textbutton i.caption action i.action keysym (str(key_i))

init:
    $ config.keymap["rollback"].append("`")

#############################################
## Progress screens
#############################################

screen progress_navigation():
    vbox:
        style_prefix "navigation"

        xpos gui.navigation_xpos
        yalign 0.5
        spacing gui.navigation_spacing
        hbox:
            vbox:
                for i in range (1, 14):
                    textbutton ("Day [i]") action ShowMenu("progress_day_" + str(i) + "_p_1")
            vbox:
                for i in range (14, 15):
                    textbutton ("Day [i]") action ShowMenu("progress_day_" + str(i) + "_p_1")
        hbox:
            textbutton ("Bathroom") action ShowMenu("progress_bathroom_p_1")
            textbutton ("Bonus") action ShowMenu("progress_bonus_p_1")

screen progress_menu():

    style_prefix "game_menu"

    frame:
        style "game_menu_outer_frame" ##    bottom_padding 45    top_padding 180    background "images/mainmenuimg/v17men 1.webp"
        add gui.main_menu_background ypos -180 ## add this black shade behind navigation menu like in main menu
        hbox:

            ## reserve space for the navigation menu
            frame:
                style "game_menu_navigation_frame" ##    xsize 420    yfill True

            frame:
                style "game_menu_content_frame" ##     left_margin 60    right_margin 30    top_margin 15
                transclude


    use progress_navigation

    textbutton _("Return"):
        style "return_button"
        action Return()

    label "Progress"

    if main_menu:
        key "game_menu" action ShowMenu("main_menu")

screen progress_main:
    tag menu
    use progress_menu:
        fixed:
            text "Support @paperwork!" xalign 0.5 yalign 0.5

screen progress_bonus_p_1:
    tag menu
    use progress_menu:
        fixed:

            text "Page 1":

                style "page_label"
                xalign 0.5


            grid gui.file_slot_cols gui.file_slot_rows:
                style_prefix "slot"
                xalign 0.5
                yalign 0.5
                spacing gui.slot_spacing

                for i in range (1, gui.file_slot_cols * gui.file_slot_rows + 1):
                    if ("bonus_p_1_" + str(i)) in gal.buttons.keys():
                        button:
                            action gal.Action("bonus_p_1_" + str(i))

                            has vbox

                            if gal.Action("bonus_p_1_" + str(i)):
                                text "Unlocked" bold True
                            else:
                                text "Locked" bold True

                            text hint["bonus_p_1_" + str(i)] italic True
                    else:
                        null

            hbox:
                style_prefix "page"

                xalign 0.5
                yalign 1.0
                spacing gui.page_spacing

                textbutton ("1") action ShowMenu("progress_bonus_p_1")

screen progress_day_1_p_1:
    tag menu
    use progress_menu:
        fixed:

            text "Page 1":
                style "page_label"
                xalign 0.5

            grid gui.file_slot_cols gui.file_slot_rows:
                style_prefix "slot"
                xalign 0.5
                yalign 0.5
                spacing gui.slot_spacing

                for i in range (1, gui.file_slot_cols * gui.file_slot_rows + 1):
                    if ("day_1_p_1_" + str(i)) in gal.buttons.keys():
                        button:
                            action gal.Action("day_1_p_1_" + str(i))

                            has vbox

                            if gal.Action("day_1_p_1_" + str(i)):
                                text "Unlocked" bold True
                            else:
                                text "Locked" bold True

                            text hint["day_1_p_1_" + str(i)] italic True
                    else:
                        null

            hbox:
                style_prefix "page"

                xalign 0.5
                yalign 1.0
                spacing gui.page_spacing

                textbutton ("1") action ShowMenu("progress_day_1_p_1")

screen progress_day_2_p_1:
    tag menu
    use progress_menu:
        fixed:

            text "Page 1":
                style "page_label"
                xalign 0.5

            grid gui.file_slot_cols gui.file_slot_rows:
                style_prefix "slot"
                xalign 0.5
                yalign 0.5
                spacing gui.slot_spacing

                for i in range (1, gui.file_slot_cols * gui.file_slot_rows + 1):
                    if ("day_2_p_1_" + str(i)) in gal.buttons.keys():
                        button:
                            action gal.Action("day_2_p_1_" + str(i))

                            has vbox

                            if gal.Action("day_2_p_1_" + str(i)):
                                text "Unlocked" bold True
                            else:
                                text "Locked" bold True

                            text hint["day_2_p_1_" + str(i)] italic True
                    else:
                        null

            hbox:
                style_prefix "page"

                xalign 0.5
                yalign 1.0
                spacing gui.page_spacing

                textbutton ("1") action ShowMenu("progress_day_2_p_1")

screen progress_day_3_p_1:
    tag menu
    use progress_menu:
        fixed:

            text "Page 1":
                style "page_label"
                xalign 0.5

            grid gui.file_slot_cols gui.file_slot_rows:
                style_prefix "slot"
                xalign 0.5
                yalign 0.5
                spacing gui.slot_spacing

                for i in range (1, gui.file_slot_cols * gui.file_slot_rows + 1):
                    if ("day_3_p_1_" + str(i)) in gal.buttons.keys():
                        button:
                            action gal.Action("day_3_p_1_" + str(i))

                            has vbox

                            if gal.Action("day_3_p_1_" + str(i)):
                                text "Unlocked" bold True
                            else:
                                text "Locked" bold True

                            text hint["day_3_p_1_" + str(i)] italic True
                    else:
                        null

            hbox:
                style_prefix "page"

                xalign 0.5
                yalign 1.0
                spacing gui.page_spacing

                textbutton ("1") action ShowMenu("progress_day_3_p_1")

screen progress_day_4_p_1:
    tag menu
    use progress_menu:
        fixed:

            text "Page 1":
                style "page_label"
                xalign 0.5

            grid gui.file_slot_cols gui.file_slot_rows:
                style_prefix "slot"
                xalign 0.5
                yalign 0.5
                spacing gui.slot_spacing

                for i in range (1, gui.file_slot_cols * gui.file_slot_rows + 1):
                    if ("day_4_p_1_" + str(i)) in gal.buttons.keys():
                        button:
                            action gal.Action("day_4_p_1_" + str(i))

                            has vbox

                            if gal.Action("day_4_p_1_" + str(i)):
                                text "Unlocked" bold True
                            else:
                                text "Locked" bold True

                            text hint["day_4_p_1_" + str(i)] italic True
                    else:
                        null

            hbox:
                style_prefix "page"

                xalign 0.5
                yalign 1.0
                spacing gui.page_spacing

                textbutton ("1") action ShowMenu("progress_day_4_p_1")

screen progress_day_5_p_1:
    tag menu
    use progress_menu:
        fixed:

            text "Page 1":
                style "page_label"
                xalign 0.5

            grid gui.file_slot_cols gui.file_slot_rows:
                style_prefix "slot"
                xalign 0.5
                yalign 0.5
                spacing gui.slot_spacing

                for i in range (1, gui.file_slot_cols * gui.file_slot_rows + 1):
                    if ("day_5_p_1_" + str(i)) in gal.buttons.keys():
                        button:
                            action gal.Action("day_5_p_1_" + str(i))

                            has vbox

                            if gal.Action("day_5_p_1_" + str(i)):
                                text "Unlocked" bold True
                            else:
                                text "Locked" bold True

                            text hint["day_5_p_1_" + str(i)] italic True
                    else:
                        null

            hbox:
                style_prefix "page"

                xalign 0.5
                yalign 1.0
                spacing gui.page_spacing

                textbutton ("1") action ShowMenu("progress_day_5_p_1")

screen progress_day_6_p_1:
    tag menu
    use progress_menu:
        fixed:

            text "Page 1":
                style "page_label"
                xalign 0.5

            grid gui.file_slot_cols gui.file_slot_rows:
                style_prefix "slot"
                xalign 0.5
                yalign 0.5
                spacing gui.slot_spacing

                for i in range (1, gui.file_slot_cols * gui.file_slot_rows + 1):
                    if ("day_6_p_1_" + str(i)) in gal.buttons.keys():
                        button:
                            action gal.Action("day_6_p_1_" + str(i))

                            has vbox

                            if gal.Action("day_6_p_1_" + str(i)):
                                text "Unlocked" bold True
                            else:
                                text "Locked" bold True

                            text hint["day_6_p_1_" + str(i)] italic True
                    else:
                        null

            hbox:
                style_prefix "page"

                xalign 0.5
                yalign 1.0
                spacing gui.page_spacing

                textbutton ("1") action ShowMenu("progress_day_6_p_1")
                textbutton ("2") action ShowMenu("progress_day_6_p_2")

screen progress_day_6_p_2:
    tag menu
    use progress_menu:
        fixed:

            text "Page 2":
                style "page_label"
                xalign 0.5

            grid gui.file_slot_cols gui.file_slot_rows:
                style_prefix "slot"
                xalign 0.5
                yalign 0.5
                spacing gui.slot_spacing

                for i in range (1, gui.file_slot_cols * gui.file_slot_rows + 1):
                    if ("day_6_p_2_" + str(i)) in gal.buttons.keys():
                        button:
                            action gal.Action("day_6_p_2_" + str(i))

                            has vbox

                            if gal.Action("day_6_p_2_" + str(i)):
                                text "Unlocked" bold True
                            else:
                                text "Locked" bold True

                            text hint["day_6_p_2_" + str(i)] italic True
                    else:
                        null

            hbox:
                style_prefix "page"

                xalign 0.5
                yalign 1.0
                spacing gui.page_spacing

                textbutton ("1") action ShowMenu("progress_day_6_p_1")
                textbutton ("2") action ShowMenu("progress_day_6_p_2")

screen progress_day_7_p_1:
    tag menu
    use progress_menu:
        fixed:

            text "Page 1":
                style "page_label"
                xalign 0.5

            grid gui.file_slot_cols gui.file_slot_rows:
                style_prefix "slot"
                xalign 0.5
                yalign 0.5
                spacing gui.slot_spacing

                for i in range (1, gui.file_slot_cols * gui.file_slot_rows + 1):
                    if ("day_7_p_1_" + str(i)) in gal.buttons.keys():
                        button:
                            action gal.Action("day_7_p_1_" + str(i))

                            has vbox

                            if gal.Action("day_7_p_1_" + str(i)):
                                text "Unlocked" bold True
                            else:
                                text "Locked" bold True

                            text hint["day_7_p_1_" + str(i)] italic True
                    else:
                        null

            hbox:
                style_prefix "page"

                xalign 0.5
                yalign 1.0
                spacing gui.page_spacing

                textbutton ("1") action ShowMenu("progress_day_7_p_1")
                textbutton ("2") action ShowMenu("progress_day_7_p_2")

screen progress_day_7_p_2:
    tag menu
    use progress_menu:
        fixed:

            text "Page 2":
                style "page_label"
                xalign 0.5

            grid gui.file_slot_cols gui.file_slot_rows:
                style_prefix "slot"
                xalign 0.5
                yalign 0.5
                spacing gui.slot_spacing

                for i in range (1, gui.file_slot_cols * gui.file_slot_rows + 1):
                    if ("day_7_p_2_" + str(i)) in gal.buttons.keys():
                        button:
                            action gal.Action("day_7_p_2_" + str(i))

                            has vbox

                            if gal.Action("day_7_p_2_" + str(i)):
                                text "Unlocked" bold True
                            else:
                                text "Locked" bold True

                            text hint["day_7_p_2_" + str(i)] italic True
                    else:
                        null

            hbox:
                style_prefix "page"

                xalign 0.5
                yalign 1.0
                spacing gui.page_spacing

                textbutton ("1") action ShowMenu("progress_day_7_p_1")
                textbutton ("2") action ShowMenu("progress_day_7_p_2")

screen progress_day_8_p_1:
    tag menu
    use progress_menu:
        fixed:

            text "Page 1":
                style "page_label"
                xalign 0.5

            grid gui.file_slot_cols gui.file_slot_rows:
                style_prefix "slot"
                xalign 0.5
                yalign 0.5
                spacing gui.slot_spacing

                for i in range (1, gui.file_slot_cols * gui.file_slot_rows + 1):
                    if ("day_8_p_1_" + str(i)) in gal.buttons.keys():
                        button:
                            action gal.Action("day_8_p_1_" + str(i))

                            has vbox

                            if gal.Action("day_8_p_1_" + str(i)):
                                text "Unlocked" bold True
                            else:
                                text "Locked" bold True

                            text hint["day_8_p_1_" + str(i)] italic True
                    else:
                        null

            hbox:
                style_prefix "page"

                xalign 0.5
                yalign 1.0
                spacing gui.page_spacing

                textbutton ("1") action ShowMenu("progress_day_8_p_1")

screen progress_day_9_p_1:
    tag menu
    use progress_menu:
        fixed:

            text "Page 1":
                style "page_label"
                xalign 0.5

            grid gui.file_slot_cols gui.file_slot_rows:
                style_prefix "slot"
                xalign 0.5
                yalign 0.5
                spacing gui.slot_spacing

                for i in range (1, gui.file_slot_cols * gui.file_slot_rows + 1):
                    if ("day_9_p_1_" + str(i)) in gal.buttons.keys():
                        button:
                            action gal.Action("day_9_p_1_" + str(i))

                            has vbox

                            if gal.Action("day_9_p_1_" + str(i)):
                                text "Unlocked" bold True
                            else:
                                text "Locked" bold True

                            text hint["day_9_p_1_" + str(i)] italic True
                    else:
                        null

            hbox:
                style_prefix "page"

                xalign 0.5
                yalign 1.0
                spacing gui.page_spacing

                textbutton ("1") action ShowMenu("progress_day_9_p_1")

screen progress_day_10_p_1:
    tag menu
    use progress_menu:
        fixed:

            text "Page 1":
                style "page_label"
                xalign 0.5

            grid gui.file_slot_cols gui.file_slot_rows:
                style_prefix "slot"
                xalign 0.5
                yalign 0.5
                spacing gui.slot_spacing

                for i in range (1, gui.file_slot_cols * gui.file_slot_rows + 1):
                    if ("day_10_p_1_" + str(i)) in gal.buttons.keys():
                        button:
                            action gal.Action("day_10_p_1_" + str(i))

                            has vbox

                            if gal.Action("day_10_p_1_" + str(i)):
                                text "Unlocked" bold True
                            else:
                                text "Locked" bold True

                            text hint["day_10_p_1_" + str(i)] italic True
                    else:
                        null

            hbox:
                style_prefix "page"

                xalign 0.5
                yalign 1.0
                spacing gui.page_spacing

                textbutton ("1") action ShowMenu("progress_day_10_p_1")

screen progress_day_11_p_1:
    tag menu
    use progress_menu:
        fixed:

            text "Page 1":
                style "page_label"
                xalign 0.5

            grid gui.file_slot_cols gui.file_slot_rows:
                style_prefix "slot"
                xalign 0.5
                yalign 0.5
                spacing gui.slot_spacing

                for i in range (1, gui.file_slot_cols * gui.file_slot_rows + 1):
                    if ("day_11_p_1_" + str(i)) in gal.buttons.keys():
                        button:
                            action gal.Action("day_11_p_1_" + str(i))

                            has vbox

                            if gal.Action("day_11_p_1_" + str(i)):
                                text "Unlocked" bold True
                            else:
                                text "Locked" bold True

                            text hint["day_11_p_1_" + str(i)] italic True
                    else:
                        null

            hbox:
                style_prefix "page"

                xalign 0.5
                yalign 1.0
                spacing gui.page_spacing

                textbutton ("1") action ShowMenu("progress_day_11_p_1")
                textbutton ("2") action ShowMenu("progress_day_11_p_2")
                textbutton ("3") action ShowMenu("progress_day_11_p_3")

screen progress_day_11_p_2:
    tag menu
    use progress_menu:
        fixed:

            text "Page 2":
                style "page_label"
                xalign 0.5

            grid gui.file_slot_cols gui.file_slot_rows:
                style_prefix "slot"
                xalign 0.5
                yalign 0.5
                spacing gui.slot_spacing

                for i in range (1, gui.file_slot_cols * gui.file_slot_rows + 1):
                    if ("day_11_p_2_" + str(i)) in gal.buttons.keys():
                        button:
                            action gal.Action("day_11_p_2_" + str(i))

                            has vbox

                            if gal.Action("day_11_p_2_" + str(i)):
                                text "Unlocked" bold True
                            else:
                                text "Locked" bold True

                            text hint["day_11_p_2_" + str(i)] italic True
                    else:
                        null

            hbox:
                style_prefix "page"

                xalign 0.5
                yalign 1.0
                spacing gui.page_spacing

                textbutton ("1") action ShowMenu("progress_day_11_p_1")
                textbutton ("2") action ShowMenu("progress_day_11_p_2")
                textbutton ("3") action ShowMenu("progress_day_11_p_3")

screen progress_day_11_p_3:
    tag menu
    use progress_menu:
        fixed:

            text "Page 3":
                style "page_label"
                xalign 0.5

            grid gui.file_slot_cols gui.file_slot_rows:
                style_prefix "slot"
                xalign 0.5
                yalign 0.5
                spacing gui.slot_spacing

                for i in range (1, gui.file_slot_cols * gui.file_slot_rows + 1):
                    if ("day_11_p_3_" + str(i)) in gal.buttons.keys():
                        button:
                            action gal.Action("day_11_p_3_" + str(i))

                            has vbox

                            if gal.Action("day_11_p_3_" + str(i)):
                                text "Unlocked" bold True
                            else:
                                text "Locked" bold True

                            text hint["day_11_p_3_" + str(i)] italic True
                    else:
                        null

            hbox:
                style_prefix "page"

                xalign 0.5
                yalign 1.0
                spacing gui.page_spacing

                textbutton ("1") action ShowMenu("progress_day_11_p_1")
                textbutton ("2") action ShowMenu("progress_day_11_p_2")
                textbutton ("3") action ShowMenu("progress_day_11_p_3")

screen progress_day_12_p_1:
    tag menu
    use progress_menu:
        fixed:

            text "Page 1":
                style "page_label"
                xalign 0.5

            grid gui.file_slot_cols gui.file_slot_rows:
                style_prefix "slot"
                xalign 0.5
                yalign 0.5
                spacing gui.slot_spacing

                for i in range (1, gui.file_slot_cols * gui.file_slot_rows + 1):
                    if ("day_12_p_1_" + str(i)) in gal.buttons.keys():
                        button:
                            action gal.Action("day_12_p_1_" + str(i))

                            has vbox

                            if gal.Action("day_12_p_1_" + str(i)):
                                text "Unlocked" bold True
                            else:
                                text "Locked" bold True

                            text hint["day_12_p_1_" + str(i)] italic True
                    else:
                        null

            hbox:
                style_prefix "page"

                xalign 0.5
                yalign 1.0
                spacing gui.page_spacing

                textbutton ("1") action ShowMenu("progress_day_12_p_1")
                textbutton ("2") action ShowMenu("progress_day_12_p_2")
                textbutton ("3") action ShowMenu("progress_day_12_p_3")

screen progress_day_12_p_2:
    tag menu
    use progress_menu:
        fixed:

            text "Page 2":
                style "page_label"
                xalign 0.5

            grid gui.file_slot_cols gui.file_slot_rows:
                style_prefix "slot"
                xalign 0.5
                yalign 0.5
                spacing gui.slot_spacing

                for i in range (1, gui.file_slot_cols * gui.file_slot_rows + 1):
                    if ("day_12_p_2_" + str(i)) in gal.buttons.keys():
                        button:
                            action gal.Action("day_12_p_2_" + str(i))

                            has vbox

                            if gal.Action("day_12_p_2_" + str(i)):
                                text "Unlocked" bold True
                            else:
                                text "Locked" bold True

                            text hint["day_12_p_2_" + str(i)] italic True
                    else:
                        null

            hbox:
                style_prefix "page"

                xalign 0.5
                yalign 1.0
                spacing gui.page_spacing

                textbutton ("1") action ShowMenu("progress_day_12_p_1")
                textbutton ("2") action ShowMenu("progress_day_12_p_2")
                textbutton ("3") action ShowMenu("progress_day_12_p_3")

screen progress_day_12_p_3:
    tag menu
    use progress_menu:
        fixed:

            text "Page 3":
                style "page_label"
                xalign 0.5

            grid gui.file_slot_cols gui.file_slot_rows:
                style_prefix "slot"
                xalign 0.5
                yalign 0.5
                spacing gui.slot_spacing

                for i in range (1, gui.file_slot_cols * gui.file_slot_rows + 1):
                    if ("day_12_p_3_" + str(i)) in gal.buttons.keys():
                        button:
                            action gal.Action("day_12_p_3_" + str(i))

                            has vbox

                            if gal.Action("day_12_p_3_" + str(i)):
                                text "Unlocked" bold True
                            else:
                                text "Locked" bold True

                            text hint["day_12_p_3_" + str(i)] italic True
                    else:
                        null

            hbox:
                style_prefix "page"

                xalign 0.5
                yalign 1.0
                spacing gui.page_spacing

                textbutton ("1") action ShowMenu("progress_day_12_p_1")
                textbutton ("2") action ShowMenu("progress_day_12_p_2")
                textbutton ("3") action ShowMenu("progress_day_12_p_3")

screen progress_day_13_p_1:
    tag menu
    use progress_menu:
        fixed:

            text "Page 1":
                style "page_label"
                xalign 0.5

            grid gui.file_slot_cols gui.file_slot_rows:
                style_prefix "slot"
                xalign 0.5
                yalign 0.5
                spacing gui.slot_spacing

                for i in range (1, gui.file_slot_cols * gui.file_slot_rows + 1):
                    if ("day_13_p_1_" + str(i)) in gal.buttons.keys():
                        button:
                            action gal.Action("day_13_p_1_" + str(i))

                            has vbox

                            if gal.Action("day_13_p_1_" + str(i)):
                                text "Unlocked" bold True
                            else:
                                text "Locked" bold True

                            text hint["day_13_p_1_" + str(i)] italic True
                    else:
                        null

            hbox:
                style_prefix "page"

                xalign 0.5
                yalign 1.0
                spacing gui.page_spacing

                textbutton ("1") action ShowMenu("progress_day_13_p_1")
                textbutton ("2") action ShowMenu("progress_day_13_p_2")
                textbutton ("3") action ShowMenu("progress_day_13_p_3")
                textbutton ("4") action ShowMenu("progress_day_13_p_4")
                textbutton ("5") action ShowMenu("progress_day_13_p_5")

screen progress_day_13_p_2:
    tag menu
    use progress_menu:
        fixed:

            text "Page 2":
                style "page_label"
                xalign 0.5

            grid gui.file_slot_cols gui.file_slot_rows:
                style_prefix "slot"
                xalign 0.5
                yalign 0.5
                spacing gui.slot_spacing

                for i in range (1, gui.file_slot_cols * gui.file_slot_rows + 1):
                    if ("day_13_p_2_" + str(i)) in gal.buttons.keys():
                        button:
                            action gal.Action("day_13_p_2_" + str(i))

                            has vbox

                            if gal.Action("day_13_p_2_" + str(i)):
                                text "Unlocked" bold True
                            else:
                                text "Locked" bold True

                            text hint["day_13_p_2_" + str(i)] italic True
                    else:
                        null

            hbox:
                style_prefix "page"

                xalign 0.5
                yalign 1.0
                spacing gui.page_spacing

                textbutton ("1") action ShowMenu("progress_day_13_p_1")
                textbutton ("2") action ShowMenu("progress_day_13_p_2")
                textbutton ("3") action ShowMenu("progress_day_13_p_3")
                textbutton ("4") action ShowMenu("progress_day_13_p_4")
                textbutton ("5") action ShowMenu("progress_day_13_p_5")

screen progress_day_13_p_3:
    tag menu
    use progress_menu:
        fixed:

            text "Page 3":
                style "page_label"
                xalign 0.5

            grid gui.file_slot_cols gui.file_slot_rows:
                style_prefix "slot"
                xalign 0.5
                yalign 0.5
                spacing gui.slot_spacing

                for i in range (1, gui.file_slot_cols * gui.file_slot_rows + 1):
                    if ("day_13_p_3_" + str(i)) in gal.buttons.keys():
                        button:
                            action gal.Action("day_13_p_3_" + str(i))

                            has vbox

                            if gal.Action("day_13_p_3_" + str(i)):
                                text "Unlocked" bold True
                            else:
                                text "Locked" bold True

                            text hint["day_13_p_3_" + str(i)] italic True
                    else:
                        null

            hbox:
                style_prefix "page"

                xalign 0.5
                yalign 1.0
                spacing gui.page_spacing

                textbutton ("1") action ShowMenu("progress_day_13_p_1")
                textbutton ("2") action ShowMenu("progress_day_13_p_2")
                textbutton ("3") action ShowMenu("progress_day_13_p_3")
                textbutton ("4") action ShowMenu("progress_day_13_p_4")
                textbutton ("5") action ShowMenu("progress_day_13_p_5")

screen progress_day_13_p_4:
    tag menu
    use progress_menu:
        fixed:

            text "Page 4":
                style "page_label"
                xalign 0.5

            grid gui.file_slot_cols gui.file_slot_rows:
                style_prefix "slot"
                xalign 0.5
                yalign 0.5
                spacing gui.slot_spacing

                for i in range (1, gui.file_slot_cols * gui.file_slot_rows + 1):
                    if ("day_13_p_4_" + str(i)) in gal.buttons.keys():
                        button:
                            action gal.Action("day_13_p_4_" + str(i))

                            has vbox

                            if gal.Action("day_13_p_4_" + str(i)):
                                text "Unlocked" bold True
                            else:
                                text "Locked" bold True

                            text hint["day_13_p_4_" + str(i)] italic True
                    else:
                        null

            hbox:
                style_prefix "page"

                xalign 0.5
                yalign 1.0
                spacing gui.page_spacing

                textbutton ("1") action ShowMenu("progress_day_13_p_1")
                textbutton ("2") action ShowMenu("progress_day_13_p_2")
                textbutton ("3") action ShowMenu("progress_day_13_p_3")
                textbutton ("4") action ShowMenu("progress_day_13_p_4")
                textbutton ("5") action ShowMenu("progress_day_13_p_5")

screen progress_day_13_p_5:
    tag menu
    use progress_menu:
        fixed:

            text "Page 5":
                style "page_label"
                xalign 0.5

            grid gui.file_slot_cols gui.file_slot_rows:
                style_prefix "slot"
                xalign 0.5
                yalign 0.5
                spacing gui.slot_spacing

                for i in range (1, gui.file_slot_cols * gui.file_slot_rows + 1):
                    if ("day_13_p_5_" + str(i)) in gal.buttons.keys():
                        button:
                            action gal.Action("day_13_p_5_" + str(i))

                            has vbox

                            if gal.Action("day_13_p_5_" + str(i)):
                                text "Unlocked" bold True
                            else:
                                text "Locked" bold True

                            text hint["day_13_p_5_" + str(i)] italic True
                    else:
                        null

            hbox:
                style_prefix "page"

                xalign 0.5
                yalign 1.0
                spacing gui.page_spacing

                textbutton ("1") action ShowMenu("progress_day_13_p_1")
                textbutton ("2") action ShowMenu("progress_day_13_p_2")
                textbutton ("3") action ShowMenu("progress_day_13_p_3")
                textbutton ("4") action ShowMenu("progress_day_13_p_4")
                textbutton ("5") action ShowMenu("progress_day_13_p_5")

screen progress_day_14_p_1:
    tag menu
    use progress_menu:
        fixed:

            text "Page 1":
                style "page_label"
                xalign 0.5

            grid gui.file_slot_cols gui.file_slot_rows:
                style_prefix "slot"
                xalign 0.5
                yalign 0.5
                spacing gui.slot_spacing

                for i in range (1, gui.file_slot_cols * gui.file_slot_rows + 1):
                    if ("day_14_p_1_" + str(i)) in gal.buttons.keys():
                        button:
                            action gal.Action("day_14_p_1_" + str(i))

                            has vbox

                            if gal.Action("day_14_p_1_" + str(i)):
                                text "Unlocked" bold True
                            else:
                                text "Locked" bold True

                            text hint["day_14_p_1_" + str(i)] italic True
                    else:
                        null

            hbox:
                style_prefix "page"

                xalign 0.5
                yalign 1.0
                spacing gui.page_spacing

                textbutton ("1") action ShowMenu("progress_day_14_p_1")
                textbutton ("2") action ShowMenu("progress_day_14_p_2")
                textbutton ("3") action ShowMenu("progress_day_14_p_3")
                textbutton ("4") action ShowMenu("progress_day_14_p_4")

screen progress_day_14_p_2:
    tag menu
    use progress_menu:
        fixed:

            text "Page 2":
                style "page_label"
                xalign 0.5

            grid gui.file_slot_cols gui.file_slot_rows:
                style_prefix "slot"
                xalign 0.5
                yalign 0.5
                spacing gui.slot_spacing

                for i in range (1, gui.file_slot_cols * gui.file_slot_rows + 1):
                    if ("day_14_p_2_" + str(i)) in gal.buttons.keys():
                        button:
                            action gal.Action("day_14_p_2_" + str(i))

                            has vbox

                            if gal.Action("day_14_p_2_" + str(i)):
                                text "Unlocked" bold True
                            else:
                                text "Locked" bold True

                            text hint["day_14_p_2_" + str(i)] italic True
                    else:
                        null

            hbox:
                style_prefix "page"

                xalign 0.5
                yalign 1.0
                spacing gui.page_spacing

                textbutton ("1") action ShowMenu("progress_day_14_p_1")
                textbutton ("2") action ShowMenu("progress_day_14_p_2")
                textbutton ("3") action ShowMenu("progress_day_14_p_3")
                textbutton ("4") action ShowMenu("progress_day_14_p_4")

screen progress_day_14_p_3:
    tag menu
    use progress_menu:
        fixed:

            text "Page 3":
                style "page_label"
                xalign 0.5

            grid gui.file_slot_cols gui.file_slot_rows:
                style_prefix "slot"
                xalign 0.5
                yalign 0.5
                spacing gui.slot_spacing

                for i in range (1, gui.file_slot_cols * gui.file_slot_rows + 1):
                    if ("day_14_p_3_" + str(i)) in gal.buttons.keys():
                        button:
                            action gal.Action("day_14_p_3_" + str(i))

                            has vbox

                            if gal.Action("day_14_p_3_" + str(i)):
                                text "Unlocked" bold True
                            else:
                                text "Locked" bold True

                            text hint["day_14_p_3_" + str(i)] italic True
                    else:
                        null

            hbox:
                style_prefix "page"

                xalign 0.5
                yalign 1.0
                spacing gui.page_spacing

                textbutton ("1") action ShowMenu("progress_day_14_p_1")
                textbutton ("2") action ShowMenu("progress_day_14_p_2")
                textbutton ("3") action ShowMenu("progress_day_14_p_3")
                textbutton ("4") action ShowMenu("progress_day_14_p_4")

screen progress_day_14_p_4:
    tag menu
    use progress_menu:
        fixed:

            text "Page 4":
                style "page_label"
                xalign 0.5

            grid gui.file_slot_cols gui.file_slot_rows:
                style_prefix "slot"
                xalign 0.5
                yalign 0.5
                spacing gui.slot_spacing

                for i in range (1, gui.file_slot_cols * gui.file_slot_rows + 1):
                    if ("day_14_p_4_" + str(i)) in gal.buttons.keys():
                        button:
                            action gal.Action("day_14_p_4_" + str(i))

                            has vbox

                            if gal.Action("day_14_p_4_" + str(i)):
                                text "Unlocked" bold True
                            else:
                                text "Locked" bold True

                            text hint["day_14_p_4_" + str(i)] italic True
                    else:
                        null

            hbox:
                style_prefix "page"

                xalign 0.5
                yalign 1.0
                spacing gui.page_spacing

                textbutton ("1") action ShowMenu("progress_day_14_p_1")
                textbutton ("2") action ShowMenu("progress_day_14_p_2")
                textbutton ("3") action ShowMenu("progress_day_14_p_3")
                textbutton ("4") action ShowMenu("progress_day_14_p_4")


screen progress_bathroom_p_1:
    tag menu
    use progress_menu:
        fixed:

            text "Page 1":
                style "page_label"
                xalign 0.5

            grid gui.file_slot_cols gui.file_slot_rows:
                style_prefix "slot"
                xalign 0.5
                yalign 0.5
                spacing gui.slot_spacing

                for i in range (1, gui.file_slot_cols * gui.file_slot_rows + 1):
                    if ("bathroom_p_1_" + str(i)) in gal.buttons.keys():
                        button:
                            action gal.Action("bathroom_p_1_" + str(i))

                            has vbox

                            if gal.Action("bathroom_p_1_" + str(i)):
                                text "Unlocked" bold True
                            else:
                                text "Locked" bold True

                            text hint["bathroom_p_1_" + str(i)] italic True
                    else:
                        null

            hbox:
                style_prefix "page"

                xalign 0.5
                yalign 1.0
                spacing gui.page_spacing

                textbutton ("1") action ShowMenu("progress_bathroom_p_1")
                textbutton ("2") action ShowMenu("progress_bathroom_p_2")

screen progress_bathroom_p_2:
    tag menu
    use progress_menu:
        fixed:

            text "Page 2":
                style "page_label"
                xalign 0.5

            grid gui.file_slot_cols gui.file_slot_rows:
                style_prefix "slot"
                xalign 0.5
                yalign 0.5
                spacing gui.slot_spacing

                for i in range (1, gui.file_slot_cols * gui.file_slot_rows + 1):
                    if ("bathroom_p_2_" + str(i)) in gal.buttons.keys():
                        button:
                            action gal.Action("bathroom_p_2_" + str(i))

                            has vbox

                            if gal.Action("bathroom_p_2_" + str(i)):
                                text "Unlocked" bold True
                            else:
                                text "Locked" bold True

                            text hint["bathroom_p_2_" + str(i)] italic True
                    else:
                        null

            hbox:
                style_prefix "page"

                xalign 0.5
                yalign 1.0
                spacing gui.page_spacing

                textbutton ("1") action ShowMenu("progress_bathroom_p_1")
                textbutton ("2") action ShowMenu("progress_bathroom_p_2")

#######################################
## Gallery
#######################################
init python:
    gal = Gallery()
    hint = {}

    gal.button("bonus_p_1_1")
    gal.image("day3 63")
    gal.condition(str(renpy.seen_image("day3 61")))
    gal.image("day3 71")
    gal.condition(str(renpy.seen_image("day3 70")))
    gal.image("day3 138")
    gal.condition(str(renpy.seen_image("day3 137")))
    gal.image("day3 192")
    gal.condition(str(renpy.seen_image("day3 191")))
    gal.image("day3 210")
    gal.condition(str(renpy.seen_image("day3 209")))
    gal.image("day3 647")
    gal.condition(str(renpy.seen_image("day3 646")))
    hint["bonus_p_1_1"] = "day 3 is quite eventful\n=)"

    gal.button("bonus_p_1_2")
    gal.condition(str(renpy.seen_image("day4_beach_pre 5")))
    gal.image("day4_beach_pre 6")
    hint["bonus_p_1_2"] = ""

    # images from phone as bonus? (day 8)
    #gal.button("bonus_p_1_3")
    #gal.image("day8bro1dick")
    #gal.image("day8cafesms1")
    #gal.image("day8cafesms2")
    #gal.image("day8homesms1")
    #gal.image("day8homesms2")
    #gal.image("day8mornsms1")
    #hint["bonus_p_1_3"] = ""

    # day10_home 151-156
    # day10_hank2 335
    # day10_movie 302, 304
    gal.button("bonus_p_1_3")
    gal.condition(str(renpy.seen_image("day10_movie 305")))
    gal.image("day10_movie 302")
    gal.image("day10_movie 304")
    hint["bonus_p_1_3"] = ""

    # day11 abath_tan 554
    gal.button("bonus_p_1_4")
    gal.condition(str(renpy.seen_image("day11_bchb 145i")))
    gal.image("day11_bchb 157")
    gal.image("day11_bchb 158")
    gal.image("day11_bchb 159")
    gal.image("day11_bchb 160")
    gal.image("day11_bchm 53")
    gal.condition(str(renpy.seen_image("day11_bchm 131")))
    gal.image("day11_bchm 60")
    gal.condition(str(renpy.seen_image("day11_bchm 131")))
    hint["bonus_p_1_4"] = ""

    gal.button("bonus_p_1_5")
    gal.image("day13_sch 104")
    gal.condition(str(renpy.seen_image("day13_sch 103")))
    gal.image("day13_sch 157")
    gal.condition(str(renpy.seen_image("day13_sch 158")))
    hint["bonus_p_1_5"] = ""

    #day13_wil 372-388
    # day14_bchb 197.webp

    gal.button("day_1_p_1_1")
    gal.unlock_image("bro1showerpeep 5")
    hint["day_1_p_1_1"] = "Who locks the door?"

    gal.button("day_1_p_1_2")
    gal.unlock_image("day1all 181")
    hint["day_1_p_1_2"] = "Another beer?"

    gal.button("day_2_p_1_1")
    gal.unlock_image("day2morn 70")
    hint["day_2_p_1_1"] = "Big plan"

    gal.button("day_2_p_1_2")
    gal.unlock_image("day2shop 99")
    hint["day_2_p_1_2"] = "All for brothers"

    gal.button("day_2_p_1_3")
    gal.unlock_image("day2_evening 134")
    gal.unlock_image("day2_evening 151")
    hint["day_2_p_1_3"] = "Yes!"

    gal.button("day_3_p_1_1")
    gal.unlock_image("day3 185")
    hint["day_3_p_1_1"] = "Accept proposal"

    gal.button("day_3_p_1_2")
    gal.unlock_image("day3 452e")
    hint["day_3_p_1_2"] = "Or not masturbate?"

    gal.button("day_3_p_1_3")
    gal.unlock_image("day3 550")
    hint["day_3_p_1_3"] = "More exciting way"

    gal.button("day_4_p_1_1")
    gal.unlock_image("day4_b_event1 31")
    hint["day_4_p_1_1"] = "1. Do not help Chris\n2. Accept"

    gal.button("day_4_p_1_2")
    gal.unlock_image("day4_beach_l 125f")
    gal.unlock_image("day4_beach_l 124f")
    hint["day_4_p_1_2"] = "1. Yellow bikini\n2. Red bikini"

    gal.button("day_4_p_1_3")
    gal.unlock_image("day4_beach_l 180")
    gal.unlock_image("day4_beach_l 181")
    hint["day_4_p_1_3"] = "1. Yellow bikini\n2. Red bikini"

    gal.button("day_4_p_1_4")
    gal.unlock_image("day4_jas 26")
    hint["day_4_p_1_4"] = "Watch them a little more"

    gal.button("day_5_p_1_1")
    gal.unlock_image("day5_rep 93")
    hint["day_5_p_1_1"] = "\"Cool story ^_^\"\nBe smart"

    gal.button("day_5_p_1_2")
    gal.unlock_image("day5_rep 143")
    gal.unlock_image("day5_rep 170")
    gal.unlock_image("day5_rep 228")
    gal.unlock_image("day5_rep 349")
    gal.unlock_image("day5_rep 359")
    gal.unlock_image("day5_rep 445")
    hint["day_5_p_1_2"] = ""

    gal.button("day_5_p_1_3")
    gal.unlock_image("day5rep 12")
    hint["day_5_p_1_3"] = "Switch to porn"

    gal.button("day_6_p_1_1")
    gal.unlock_image("day6_morn 275")
    hint["day_6_p_1_1"] = "Masturbate"

    gal.button("day_6_p_1_2")
    gal.unlock_image("day6_sch 95")
    hint["day_6_p_1_2"] = "Try to change his mind"

    gal.button("day_6_p_1_3")
    gal.unlock_image("day6_sch 112")
    hint["day_6_p_1_3"] = "1. Leave the room\n2. Accept what he wants"

    gal.button("day_6_p_1_4")
    gal.unlock_image("day6_sch 247")
    hint["day_6_p_1_4"] = "1. Leave the room\n2. Leave\n3. Refuse Hanks help"

    gal.button("day_6_p_1_5")
    gal.unlock_image("day6_cafe 89")
    hint["day_6_p_1_5"] = "Make a show for Harry"

    gal.button("day_6_p_1_6")
    gal.unlock_image("day6_eve 73")
    hint["day_6_p_1_6"] = "Do what Gandalf wants"

    gal.button("day_6_p_2_1")
    gal.unlock_image("day6_eve 132")
    hint["day_6_p_2_1"] = "Do not help Chris with gf on the beach"

    gal.button("day_6_p_2_2")
    gal.unlock_image("day6_eve 176")
    hint["day_6_p_2_2"] = "Help Chris with gf on the beach"

    gal.button("day_7_p_1_1")
    gal.unlock_image("day7_morn 224")
    hint["day_7_p_1_1"] = "Morning exercise without Matt"

    gal.button("day_7_p_1_2")
    gal.unlock_image("day7_morn 187")
    hint["day_7_p_1_2"] = "Morning exercise with Matt"

    gal.button("day_7_p_1_3")
    gal.unlock_image("day7_schcl1 73")
    hint["day_7_p_1_3"] = "1. Be abused by Miyagi before\n2. Do what he says\n3. Look unhappy"

    gal.button("day_7_p_1_4")
    gal.unlock_image("day7_mod 164f")
    hint["day_7_p_1_4"] = "Get drunk"

    gal.button("day_7_p_1_5")
    gal.unlock_image("day7mod_an 3")
    hint["day_7_p_1_5"] = "Get a release"

    gal.button("day_7_p_1_6")
    gal.unlock_image("day7_metcl0 71")
    gal.unlock_image("day7_metcl0 127")
    hint["day_7_p_1_6"] = ""

    gal.button("day_7_p_2_1")
    gal.unlock_image("day7beac_an 1")
    hint["day_7_p_2_1"] = "1. Trust the boiz\n2. Walk near"

    gal.button("day_7_p_2_2")
    gal.unlock_image("day7_beach 271")
    hint["day_7_p_2_2"] = "Do not trust the boiz"

    gal.button("day_7_p_2_3")
    gal.unlock_image("day7_hank 190")
    hint["day_7_p_2_3"] = "Date Hank"

    gal.button("day_7_p_2_4")
    gal.unlock_image("day7home3_an 2")
    hint["day_7_p_2_4"] = "Masturbate ^_^"

    gal.button("day_8_p_1_1")
    gal.unlock_image("day8_dream 519") # strip + vaginal
    gal.unlock_image("day8_dream 613") # strip + anal + didn't help (or not enjoyed) Chris at beach
    gal.unlock_image("day8_dream 615") # strip + anal + helped (and enjoyed) Chris at beach
    gal.unlock_image("day8_dream 117") # doesn't strip + vaginal
    gal.unlock_image("day8_dream 312") # doesn't strip + anal + didn't help (or not enjoyed) Chris at beach
    gal.unlock_image("day8_dream 365") # doesn't strip + anal + helped (and enjoyed) Chris at beach
    hint["day_8_p_1_1"] = ""

    gal.button("day_8_p_1_2")
    gal.unlock_image("day8_morn 11") # date Hank
    hint["day_8_p_1_2"] = "Date Hank and send him a photo"

    gal.button("day_8_p_1_3")
    gal.unlock_image("day8_sch 352")
    #gal.unlock_image("day8_sch 235") # Hugging
    #gal.unlock_image("day8_sch 278")
    gal.unlock_image("day8_sch 579") # Do not date Hank + go yolo with dork
    hint["day_8_p_1_3"] = "1. Be not very nice with dork, apologize\n2. Do not date Hank + go yolo with dork"

    gal.button("day_8_p_1_4")
    gal.unlock_image("day8_cafe 315") # cafe
    gal.unlock_image("day8_home2 97") # go home
    hint["day_8_p_1_4"] = "1. Stay at work\n2. Go home"

    #homeless shop show panties
    #day8_hmlss 84

    #wilson house peeping during at his penis during cleaning work

    gal.button("day_9_p_1_1")
    gal.unlock_image("day9_home 224") # Matt gropes
    hint["day_9_p_1_1"] = "Undress"

    gal.button("day_9_p_1_2")
    gal.unlock_image("day9_home 306") # uncle gropes. add alternative with no grope?
    hint["day_9_p_1_2"] = "You dirty uncle ^_^"

    #
    gal.button("day_10_p_1_1")
    gal.unlock_image("day10_home 98") # 1 1
    gal.unlock_image("day10_home 92d") # 1 2
    gal.unlock_image("day10_home 149") # 2
    gal.unlock_image("day10_home 161") # 3 send away
    gal.unlock_image("day10_home 120") # general positive
    gal.unlock_image("day10_home 228") # remember plug
    gal.unlock_image("day10_home 244") # concentrate
    hint["day_10_p_1_1"] = "Let uncle help you in the bathroom"

    gal.button("day_10_p_1_2")
    gal.unlock_image("day10_home 432")
    # add explaining?
    hint["day_10_p_1_2"] = ""

    # Day 10 Amy + Matt talking?

    gal.button("day_10_p_1_3")
    gal.unlock_image("day10_hank2 334") # dress for Hank
    hint["day_10_p_1_3"] = "Date Hank, dress for him"

    gal.button("day_10_p_1_4")
    gal.unlock_image("day10_hank2 643") # do not dress for Hank
    hint["day_10_p_1_4"] = "Date Hank, do not dress for him"

    gal.button("day_10_p_1_5")
    gal.unlock_image("day10_movie 356") # do not dress for Hank, without Matt
    hint["day_10_p_1_5"] = "Do not dress for Hank"

    gal.button("day_10_p_1_6")
    gal.unlock_image("day10_movie 690") # dress for Hank, with Matt
    hint["day_10_p_1_6"] = "Dress for Hank"

    gal.button("day_11_p_1_1")
    gal.unlock_image("day11_home1 36")
    hint["day_11_p_1_1"] = "Expose your breasts"

    gal.button("day_11_p_1_2")
    gal.unlock_image("abath_tan 622") # stay
    hint["day_11_p_1_2"] = "Stay with uncle"

    gal.button("day_11_p_1_3")
    gal.unlock_image("abath_tan 648") # leave
    hint["day_11_p_1_3"] = "Leave uncle"

    gal.button("day_11_p_1_4")
    gal.unlock_image("abath_tan 668") # wait outside, face him
    gal.unlock_image("abath_tan 666") # wait outside, do not face him
    hint["day_11_p_1_4"] = "Wait uncle outside"

    gal.button("day_11_p_1_5")
    gal.unlock_image("day11_bchd 57") # show
    hint["day_11_p_1_5"] = "Make a show for boiz"


    #add another beach changing room choices?

    gal.button("day_11_p_1_6")
    gal.unlock_image("day11_bchb 121") # massage
    hint["day_11_p_1_6"] = "Let the boi to do massage"

    gal.button("day_11_p_2_1")
    gal.unlock_image("day11_bchb 145") # boys
    hint["day_11_p_2_1"] = ""

    gal.button("day_11_p_2_2")
    gal.unlock_image("day11_bchd 73") # changing room no boys
    hint["day_11_p_2_2"] = "No boiz"

    gal.button("day_11_p_2_3")
    gal.unlock_image("day11_bchm 107a") # no boys
    hint["day_11_p_2_3"] = "No boiz"

    # modelling. add another images?
    gal.button("day_11_p_2_4")
    gal.unlock_image("day11_mod 135")
    gal.unlock_image("day11_mod 295")
    gal.unlock_image("day11_mod 423c") # drunk
    hint["day_11_p_2_4"] = "Go wild!"

    gal.button("day_11_p_2_5")
    gal.unlock_image("day11_train 101") # drunk
    hint["day_11_p_2_5"] = "Drunk"

    gal.button("day_11_p_2_6")
    gal.unlock_image("day11_train 33") # sober
    gal.unlock_image("day11_train 61") # Don't let them harrass you. Accept the deal
    hint["day_11_p_2_6"] = "Sober"

    gal.button("day_11_p_3_1")
    gal.unlock_image("day11_home3 109")
    hint["day_11_p_3_1"] = "Don't bother"

    gal.button("day_11_p_3_2")
    gal.unlock_image("day11_home3 225")
    hint["day_11_p_3_2"] = "Go further"

    # solo masturbation scene?
    # day11_an 6

    # day12_morn 15 mmm... nice.

    gal.button("day_12_p_1_1")
    gal.unlock_image("day12jog 181")
    hint["day_12_p_1_1"] = ""

    # panic, 2nd chance, Paul - no sex scenes, eager to joy, blue dress, boy tease
    gal.button("day_12_p_1_2")
    gal.unlock_image("day12andex 381")
    hint["day_12_p_1_2"] = ""

    # panic, 2nd chance, Paul - no sex scenes, dont show joy, brown dress, pussy show, train
    gal.button("day_12_p_1_3")
    gal.unlock_image("day12andex 204")
    hint["day_12_p_1_3"] = ""

    # panic, 2nd chance, Andrew, street , Panic
    gal.button("day_12_p_1_4")
    gal.unlock_image("day12_andso 305")
    hint["day_12_p_1_4"] = ""

    # panic, 2nd chance, Andrew, street , get angry!
    gal.button("day_12_p_1_5")
    gal.unlock_image("day12_andso 319") # LOL, i love this scene!
    hint["day_12_p_1_5"] = ""

    # panic, 2nd chance, Andrew, street , get very angry!
    gal.button("day_12_p_1_6")
    gal.unlock_image("day12_andso 209")
    hint["day_12_p_1_6"] = ""

    # panic, perverts, Paul,
    gal.button("day_12_p_2_1")
    gal.unlock_image("day12_andin 193") #blow paul
    hint["day_12_p_2_1"] = ""

    # panic, 2nd, paul, vigilant,
    gal.button("day_12_p_2_2")
    gal.unlock_image("day12anddu 98")
    gal.unlock_image("day12_anddu 425")
    hint["day_12_p_2_2"] = ""

    # panic, 2nd, andrew,
    gal.button("day_12_p_2_3")
    gal.unlock_image("day12_andso 26")
    hint["day_12_p_2_3"] = ""

    # panic, perverts, Andrew,
    gal.button("day_12_p_2_4")
    gal.unlock_image("day12_andso 1g")
    hint["day_12_p_2_4"] = ""

    # cool, perverts, andrew,
    gal.button("day_12_p_2_5")
    gal.unlock_image("day12_anddu 12u")
    hint["day_12_p_2_5"] = ""

    # cool, perverts, andrew, decline outdoor
    gal.button("day_12_p_2_6")
    gal.unlock_image("day12anddu 277")
    hint["day_12_p_2_6"] = ""

    # outdoor
    gal.button("day_12_p_3_1")
    gal.unlock_image("day12_andso 53")
    hint["day_12_p_3_1"] = ""

    # handjob
    gal.button("day_12_p_3_2")
    gal.unlock_image("day12_andso 275")
    hint["day_12_p_3_2"] = ""

    # bj, spit to side
    gal.button("day_12_p_3_3")
    gal.unlock_image("day12_andso 307")
    hint["day_12_p_3_3"] = ""

    # white, regret
    gal.button("day_13_p_1_1")
    gal.unlock_image("day13_morn 79")
    hint["day_13_p_1_1"] = "White dress, make Matt regret"

    # class, notice, show more
    gal.button("day_13_p_1_2")
    gal.unlock_image("school_cls 74")
    hint["day_13_p_1_2"] = ""

    # class, simoncorr>50
    gal.button("day_13_p_1_3")
    gal.unlock_image("school_cls 38")
    hint["day_13_p_1_3"] = ""

    # class
    gal.button("day_13_p_1_4")
    gal.unlock_image("school_cls 98")
    hint["day_13_p_1_4"] = ""

    # day13_sch 109

    gal.button("day_13_p_1_5")
    gal.unlock_image("day13_sch 223")
    hint["day_13_p_1_5"] = "Convince Miyagi before"

    gal.button("day_13_p_1_6")
    gal.unlock_image("day13_sch 269")
    hint["day_13_p_1_6"] = "Talk to Miyagi herself"

    gal.button("day_13_p_2_1")
    gal.unlock_image("day13_sch 348")
    hint["day_13_p_2_1"] = "Use Hank's father help before"

    gal.button("day_13_p_2_2")
    gal.unlock_image("afsc_peep 48")
    hint["day_13_p_2_2"] = ""

    gal.button("day_13_p_2_3")
    gal.unlock_image("afsc_int 89")
    hint["day_13_p_2_3"] = ""

    gal.button("day_13_p_2_4")
    gal.unlock_image("afsc_love 268")
    gal.unlock_image("afsc_love 274")
    hint["day_13_p_2_4"] = ""

    gal.button("day_13_p_2_5")
    gal.unlock_image("afsc_love 88")
    gal.unlock_image("afsc_love 118")
    hint["day_13_p_2_5"] = ""

    # simon dislike
    gal.button("day_13_p_2_6")
    gal.unlock_image("afsc_int 581")
    hint["day_13_p_2_6"] = ""

    # humiliate the bitch
    gal.button("day_13_p_3_1")
    gal.unlock_image("day13_bbc 212")
    hint["day_13_p_3_1"] = "Humiliate the bitch"

    # topless dance
    gal.button("day_13_p_3_2")
    gal.unlock_image("day13_bbc 475")
    hint["day_13_p_3_2"] = "Dance with no bra"

    # Shop with normal jeans
    gal.button("day_13_p_3_3")
    gal.unlock_image("day13_sam 96")
    hint["day_13_p_3_3"] = "Use different clothes at BBC"

    # Shop with cropped jeans
    gal.button("day_13_p_3_4")
    gal.unlock_image("day13_sam 139")
    hint["day_13_p_3_4"] = "Use scissors at BBC"

    gal.button("day_13_p_3_5")
    gal.unlock_image("day13_home2 83")
    hint["day_13_p_3_5"] = ""

    gal.button("day_13_p_3_6")
    gal.unlock_image("day13_home2 57c") # LOL, i love this
    hint["day_13_p_3_6"] = "LOL"

    # day13_home2 143

    # stare at Wil cock

    # choose Be gentle or forgiving and "This place is a good one to let them loose." at day 8, casual
    gal.button("day_13_p_4_1")
    gal.unlock_image("day13_wil 1097h") # jacket on & no shirt
    gal.unlock_image("day13_wil 1360") # no bra
    gal.unlock_image("day13_wil 1388") # no skirt
    hint["day_13_p_4_1"] = ""

    # choose Be gentle or forgiving and don't pick "This place is a good one to let them loose." at day 8, casual
    gal.button("day_13_p_4_2")
    gal.unlock_image("day13_wil 1103") # no jacket
    gal.unlock_image("day13_wil 1125") # no shirt
    gal.unlock_image("day13_wil 1178") # no bra
    hint["day_13_p_4_2"] = ""

    gal.button("day_13_p_4_3")
    gal.unlock_image("day13_wil 1215") # or no skirt
    gal.unlock_image("day13_wil 1256") # and then no bra
    gal.unlock_image("day13_wil 1307") # dick!
    hint["day_13_p_4_3"] = ""

    # daring dress, wilpokerstage==6
    gal.button("day_13_p_4_4")
    gal.unlock_image("day13_wil 488") # no dress
    gal.unlock_image("day13_wil 614") # naked
    #gal.unlock_image("day13_wil 726") # bj
    gal.unlock_image("day13_an 5") # finally
    hint["day_13_p_4_4"] = ""

    #wilpokerstage==5
    gal.button("day_13_p_4_5")
    gal.unlock_image("day13_wil 153") # half dress
    # gal.unlock_image("day13_wil 286") # touching penis
    gal.unlock_image("day13_wil 353a") # humping
    hint["day_13_p_4_5"] = ""

    #wilpokerstage==4
    gal.button("day_13_p_4_6")
    gal.unlock_image("day13_wil 122") # half dress
    hint["day_13_p_4_6"] = ""

    gal.button("bathroom_p_1_1")
    gal.unlock_image("bathroombreast 1")
    gal.unlock_image("bathroombreast 2")
    gal.unlock_image("bathroombreast 3")
    gal.unlock_image("bathroombutt 1")
    gal.unlock_image("bathroombutt 2")
    gal.unlock_image("bathroombutt 3")
    hint["bathroom_p_1_1"] = "Check yourself with no tan"

    gal.button("bathroom_p_1_2")
    gal.unlock_image("bathroombreast 1a")
    gal.unlock_image("bathroombreast 3a")
    gal.unlock_image("bathroombreast 4a")
    gal.unlock_image("bathroombreast 5a")
    gal.unlock_image("bathroombreast 6a")
    gal.unlock_image("bathroombreast 7a")
    gal.unlock_image("bathroombreast 8a")
    gal.unlock_image("bathroombreast 9a")
    gal.unlock_image("bathroombreast 10a")
    gal.unlock_image("abath_tan 190")
    gal.unlock_image("abath_tan 191")
    hint["bathroom_p_1_2"] = "Check yourself with tan"

    gal.button("bathroom_p_1_3")
    gal.unlock_image("bro1showerpeep 10")
    gal.unlock_image("bro2showerpeep 10")
    gal.unlock_image("uncshowerpeep 10")
    hint["bathroom_p_1_3"] = "Shower, no tan"

    gal.button("bathroom_p_1_4")
    gal.unlock_image("a_bathing 9")
    gal.unlock_image("a_bathing 10")
    gal.unlock_image("a_bathing 11")
    hint["bathroom_p_1_4"] = "Bath, no tan"

    gal.button("bathroom_p_1_5")
    gal.unlock_image("abath_tan 74")
    gal.unlock_image("abath_tan 75")
    gal.unlock_image("abath_tan 76")
    hint["bathroom_p_1_5"] = "Bath, tan"

    gal.button("bathroom_p_1_6")
    gal.unlock_image("abath_tan 152")
    gal.unlock_image("abath_tan 163")
    gal.unlock_image("abath_tan 178")
    hint["bathroom_p_1_6"] = "Bath, tan, tell to wait"

    gal.button("bathroom_p_2_1")
    gal.unlock_image("abath_tan 357")
    gal.unlock_image("abath_tan 358")
    gal.unlock_image("abath_tan 359")
    hint["bathroom_p_2_1"] = "Shower, tan"

    gal.button("bathroom_p_2_2")
    gal.unlock_image("abath_tan 419")
    gal.unlock_image("abath_tan 422")
    gal.unlock_image("abath_tan 425")
    hint["bathroom_p_2_2"] = "Shower, tan, tell to wait"

    gal.button("bathroom_p_2_3")
    gal.unlock_image("abath_tan 333")
    hint["bathroom_p_2_3"] = "Shower, tan, be horny"


    gal.button("day_13_p_5_1")
    gal.unlock_image("day13_an 9")
    hint["day_13_p_5_1"] = "No dildo + masturbate at room"

    gal.button("day_13_p_5_2")
    gal.unlock_image("day13_an 13")
    hint["day_13_p_5_2"] = "Dildo + masturbate at room"

    gal.button("day_13_p_5_3")
    gal.unlock_image("day13_an 23")
    hint["day_13_p_5_3"] = "No dildo + go downstairs"

    gal.button("day_13_p_5_4")
    gal.unlock_image("day13_an 31")
    hint["day_13_p_5_4"] = "Dildo + go downstairs"

    gal.button("day_14_p_1_1")
    gal.unlock_image("day14_morn 603") # white
    gal.unlock_image("day14_morn 604") # blue
    hint["day_14_p_1_1"] = "1. White tights\n2. Don't change your clothes"

    gal.button("day_14_p_1_2")
    gal.unlock_image("day14_sch 55")
    hint["day_14_p_1_2"] = "Don't like Simon"

    gal.button("day_14_p_1_3")
    gal.unlock_image("day14_sch 128")
    hint["day_14_p_1_3"] = "Don't like Simon"

    gal.button("day_14_p_1_4")
    gal.unlock_image("day14_sch 187")
    hint["day_14_p_1_4"] = ""

    gal.button("day_14_p_1_5")
    gal.unlock_image("day14_schmm 40")
    hint["day_14_p_1_5"] = ""

    gal.button("day_14_p_1_6")
    gal.unlock_image("day14_schmm 172")
    hint["day_14_p_1_6"] = ""

    gal.button("day_14_p_2_1")
    gal.unlock_image("day14_schmm 304")
    hint["day_14_p_2_1"] = ""

    gal.button("day_14_p_2_2")
    gal.unlock_image("day14_bchb 137")
    hint["day_14_p_2_2"] = "Beach with boys"

    gal.button("day_14_p_2_3")
    gal.unlock_image("day14_bchb 216")
    hint["day_14_p_2_3"] = "Beach with boys"

    gal.button("day_14_p_2_4")
    gal.unlock_image("day14_bchb 280")
    hint["day_14_p_2_4"] = "No, you are a thief"

    gal.button("day_14_p_2_5")
    gal.unlock_image("day14_bchb 356")
    hint["day_14_p_2_5"] = "Chicken out"

    gal.button("day_14_p_2_6")
    gal.unlock_image("day14_bchb 551")
    hint["day_14_p_2_6"] = ""

    gal.button("day_14_p_3_1")
    gal.unlock_image("day14_bchb 636")
    hint["day_14_p_3_1"] = ""

    gal.button("day_14_p_3_2")
    gal.unlock_image("day14_bchm 82")
    hint["day_14_p_3_2"] = "No boys"

    gal.button("day_14_p_3_3")
    gal.unlock_image("day14_bchm 434")
    hint["day_14_p_3_3"] = "You like them"

    gal.button("day_14_p_3_4")
    gal.unlock_image("day14_bchm 536")
    hint["day_14_p_3_4"] = "Let him in"

    gal.button("day_14_p_3_5")
    gal.unlock_image("day14_an 74")
    hint["day_14_p_3_5"] = "No Hank"

    gal.button("day_14_p_3_6")
    gal.unlock_image("day14_an 93")
    hint["day_14_p_3_6"] = ""

    gal.button("day_14_p_4_1")
    gal.unlock_image("day14_an 33")
    hint["day_14_p_4_1"] = "Hank + V"

    gal.button("day_14_p_4_2")
    gal.unlock_image("day14_an 50")
    hint["day_14_p_4_2"] = "Hank + A"

    gal.button("day_14_p_4_3")
    gal.unlock_image("day14_an 46")
    hint["day_14_p_4_3"] = "Hank + V2"

    gal.button("day_14_p_4_4")
    gal.unlock_image("day14_an 61")
    hint["day_14_p_4_4"] = "Hank + A2"

    gal.button("day_14_p_4_5")
    gal.condition(str(renpy.seen_image("day14_an 1632")))
    gal.image("day14_an 1633")
    hint["day_14_p_4_5"] = "Good night with Hank"

    gal.button("day_14_p_4_6")
    gal.unlock_image("day14_wil 605q")
    hint["day_14_p_4_6"] = "Good night without Hank"
